--- BitchX.orig/include/config.h	2000/07/05 09:01:06	1.3
+++ BitchX/include/config.h	2000/10/24 07:41:33	1.4
@@ -11,7 +11,7 @@
  * use this version of IRCII!  Please read the INSTALL and New2.2 files
  * supplied with the distribution for details!
  *
- * @(#)$Id: config.h,v 1.3 2000/07/05 09:01:06 hollywar Exp $
+ * @(#)$Id: config.h,v 1.4 2000/10/24 07:41:33 hollywar Exp $
  */
 
 #ifndef __config_h_
@@ -748,6 +748,8 @@
 #define OLD_STATUS_S_EXPANDO_BEHAVIOR
 #define DEFAULT_NEW_SERVER_LASTLOG_LEVEL "NONE"
 #define DEFAULT_RANDOM_LOCAL_PORTS 0
+#define DEFAULT_RANDOM_LOCAL_PORTS_HIGH 60100
+#define DEFAULT_RANDOM_LOCAL_PORTS_LOW 60000
 #define DEFAULT_RANDOM_SOURCE 0
 #define DEFAULT_TERM_DOES_BRIGHT_BLINK 0
 
--- BitchX.orig/include/vars.h	2000/07/04 02:48:24	1.1
+++ BitchX/include/vars.h	2000/10/24 07:41:33	1.2
@@ -3,7 +3,7 @@
  *
  * Generated from vars.h.proto automatically by the Makefile
  *
- * @(#)$Id: vars.h,v 1.1.1.1 2000/07/04 02:48:24 hollywar Exp $
+ * @(#)$Id: vars.h,v 1.2 2000/10/24 07:41:33 hollywar Exp $
  */
 
 #ifndef __vars_h_
@@ -219,6 +219,8 @@
 	QUERY_NEW_WINDOW_TYPE_VAR,
 	QUEUE_SENDS_VAR,
 	RANDOM_LOCAL_PORTS_VAR,
+	RANDOM_LOCAL_PORTS_HIGH_VAR,
+	RANDOM_LOCAL_PORTS_LOW_VAR,
 	RANDOM_SOURCE_VAR,
 	REALNAME_VAR,
 	REVERSE_STATUS_VAR,

--- BitchX.orig/source/dcc.c	2000/07/05 09:00:52	1.3
+++ BitchX/source/dcc.c		2000/10/24 07:41:53	1.4
@@ -585,9 +585,13 @@
 		char *file = NULL;
 		char *Type;
 		unsigned short 	portnum = 0;
+		struct timeval tfs ;
 
+		gettimeofday(&tfs , (struct timezone *) 0) ;
+		srand(tfs.tv_usec) ;
+
 		if (get_int_var(RANDOM_LOCAL_PORTS_VAR))
-			portnum = random_number(65535 - 1024) + 1024;
+			portnum = (rand() % (get_int_var(RANDOM_LOCAL_PORTS_HIGH_VAR) - get_int_var(RANDOM_LOCAL_PORTS_LOW_VAR))) + get_int_var(RANDOM_LOCAL_PORTS_LOW_VAR);
 
 #ifdef DCC_CNCT_PEND
 		flags |= DCC_CNCT_PEND;
--- BitchX.orig/source/vars.c	2000/07/04 09:01:52	1.2
+++ BitchX/source/vars.c	2000/10/24 07:41:53	1.3
@@ -330,6 +330,8 @@
         { "QUERY_NEW_WINDOW_TYPE",0,    STR_TYPE_VAR,   0, NULL, NULL, 0, VIF_BITCHX },
 	{ "QUEUE_SENDS",0,		INT_TYPE_VAR,	DEFAULT_QUEUE_SENDS, NULL, NULL, 0, VIF_BITCHX },
 	{ "RANDOM_LOCAL_PORTS",0,	BOOL_TYPE_VAR,	DEFAULT_RANDOM_LOCAL_PORTS, NULL, NULL, 0, VIF_BITCHX },
+	{ "RANDOM_LOCAL_PORTS_HIGH",0,	INT_TYPE_VAR,	DEFAULT_RANDOM_LOCAL_PORTS_HIGH, NULL, NULL, 0, VIF_BITCHX },
+	{ "RANDOM_LOCAL_PORTS_LOW",0,	INT_TYPE_VAR,	DEFAULT_RANDOM_LOCAL_PORTS_LOW, NULL, NULL,  0, VIF_BITCHX },
 	{ "RANDOM_SOURCE",0,		INT_TYPE_VAR,	DEFAULT_RANDOM_SOURCE, NULL, NULL, 0, VIF_BITCHX },
 	{ "REALNAME",0,			STR_TYPE_VAR,	0, NULL, set_realname, 0, VF_NODAEMON },
 	{ "REVERSE_STATUS",0,		BOOL_TYPE_VAR,	0, NULL, reinit_status, 0, 0 },
